# Wait for Element

Waits for an element to appear or disappear

#### Selector

* [Selector](/guides/selectors.md) for the element to wait for

#### Condition

* Wait until exists
  * Wait until element exists on the page (not necessarily visible)
* Wait until visible
  * Wait until element is visible on the page
* Wait until hidden
  * Wait until element is removed or is hidden on the page

#### Max seconds to wait (optional)

* Maximum number of seconds to wait for the element to meet the condition
  * If the condition is not met in time, the flow will continue
* A value of 0 will cause Browserflow to wait indefinitely until the condition is met


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/utilities/wait-for-element.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
